- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Functions | Variables
libepubgen Namespace Reference

## Namespaces
| EPUBDrawingGenerator
| EPUBPresentationGenerator
| EPUBTextGenerator

## Classes
class | EPUBBinarySink
class | EPUBCounter
class | EPUBCSSSink
struct | EPUBGENDummyDeleter
class | EPUBGenerator
class | EPUBHTMLGenerator
struct | EPUBHTMLGeneratorImpl
| the internal state of a html document generator More...
class | EPUBHTMLManager
class | EPUBImageManager
class | EPUBListStyleManager
| Small class to manage the list style. More...
class | EPUBManifest
class | EPUBPagedGenerator
class | EPUBPageElement
class | EPUBPageElements
class | EPUBParagraphStyleManager
| Small class to manage the paragraph style. More...
class | EPUBPath
| Representation of a path in the package. More...
class | EPUBSpanStyleManager
| Small class to manage the span style. More...
class | EPUBSplitGuard
class | EPUBTableStyleManager
| Small class to manage the tables style. More...
class | EPUBTextElement
class | EPUBTextElements
class | EPUBTextSink
class | EPUBXMLElement
class | EPUBXMLSink
class | GenericException

## Typedefs
typedef std::map< std::string, std::string > | EPUBCSSProperties
typedef boost::shared_ptr< EPUBHTMLGenerator > | EPUBHTMLGeneratorPtr_t
typedef boost::shared_ptr< librevenge::RVNGInputStream > | RVNGInputStreamPtr_t

## Functions
void | fillPropertyList (const EPUBCSSProperties &cssProps, librevenge::RVNGPropertyList &props)
bool | operator== (const EPUBPath &left, const EPUBPath &right)
bool | operator!= (const EPUBPath &left, const EPUBPath &right)
const EPUBPath | operator/ (const EPUBPath &base, const EPUBPath &subpath)
const EPUBPath | operator/ (const EPUBPath &base, const std::string &pathComponent)
void | swap (EPUBPath &left, EPUBPath &right)

## Variables
static const unsigned | DEFAULT_SPLIT_HEADING_LEVEL = 1
static const unsigned | DEFAULT_SPLIT_SIZE = 1 << 16

## Typedef Documentation

typedef std::map<std::string, std::string> libepubgen::EPUBCSSProperties

typedef boost::shared_ptr<EPUBHTMLGenerator> libepubgen::EPUBHTMLGeneratorPtr_t

typedef boost::shared_ptr<librevenge::RVNGInputStream> libepubgen::RVNGInputStreamPtr_t

## Function Documentation

void libepubgen::fillPropertyList | ( | const EPUBCSSProperties & | cssProps,
|  | librevenge::RVNGPropertyList & | props
| ) |  |

Referenced by libepubgen::EPUBParagraphStyleManager::send(), libepubgen::EPUBSpanStyleManager::send(), libepubgen::EPUBTableStyleManager::send(), and libepubgen::EPUBListStyleManager::send().

bool libepubgen::operator!= | ( | const EPUBPath & | left,
|  | const EPUBPath & | right
| ) |  |

const EPUBPath libepubgen::operator/ | ( | const EPUBPath & | base,
|  | const EPUBPath & | subpath
| ) |  |

const EPUBPath libepubgen::operator/ | ( | const EPUBPath & | base,
|  | const std::string & | pathComponent
| ) |  |

bool libepubgen::operator== | ( | const EPUBPath & | left,
|  | const EPUBPath & | right
| ) |  |

void libepubgen::swap | ( | EPUBPath & | left,
|  | EPUBPath & | right
| ) |  |

## Variable Documentation

const unsigned libepubgen::DEFAULT_SPLIT_HEADING_LEVEL = 1
| static

const unsigned libepubgen::DEFAULT_SPLIT_SIZE = 1 << 16
| static